data modify storage rc_blossoming_flower_pots:storage version_history append value 1

# Data storage layout
    # rc_blossoming_flower_pots:storage <namespace>:<item name>
        # place_sound: sound file to play when planting the plant for the first time, include namespace
        # display_count: <int number, representing the number of display entities used for this item>
        # 1:[]  array of starting data for the all the block displays, to be merged after summoning a blank block display
        # 2:[]  array of data transformations to be made to all the block displays when a second item gets added
            # IF one of the block displays does not change, simply put a blank object {} in its place
        # 3:[].... same as 2:[], the numbers are the item counts in the pot

data modify storage rc_blossoming_flower_pots:storage minecraft:pointed_dripstone set value {\
    place_sound:"minecraft:block.pointed_dripstone.place",\
    display_count:2,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:pointed_dripstone",\
                Properties:{\
                    vertical_direction:"down",\
                    thickness:"frustum"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.6435f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:pointed_dripstone",\
                Properties:{\
                    vertical_direction:"down",\
                    thickness:"tip"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,1.1435f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:small_amethyst_bud set value {\
    place_sound:"minecraft:block.small_amethyst_bud.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:small_amethyst_bud"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:medium_amethyst_bud set value {\
    place_sound:"minecraft:block.medium_amethyst_bud.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:medium_amethyst_bud"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:large_amethyst_bud set value {\
    place_sound:"minecraft:block.large_amethyst_bud.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:large_amethyst_bud"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:amethyst_cluster set value {\
    place_sound:"minecraft:block.amethyst_cluster.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:amethyst_cluster"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:oak_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:oak_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:oak_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:oak_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:spruce_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:spruce_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:spruce_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:spruce_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:birch_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:birch_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:birch_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:birch_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:jungle_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:jungle_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:jungle_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:jungle_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:acacia_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:acacia_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:acacia_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:acacia_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dark_oak_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dark_oak_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dark_oak_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dark_oak_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:mangrove_leaves set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:mangrove_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:mangrove_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:mangrove_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:cherry_leaves set value {\
    place_sound:"minecraft:block.cherry_leaves.place",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:cherry_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:cherry_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:cherry_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:azalea_leaves set value {\
    place_sound:"minecraft:block.azalea_leaves.place",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:flowering_azalea_leaves set value {\
    place_sound:"minecraft:block.azalea_leaves.place",\
    display_count:3,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:flowering_azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:flowering_azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.25f,0.375f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:flowering_azalea_leaves"\
            },\
            transformation:{\
                translation:[-0.21f,0.475f,0.0f],\
                left_rotation:[0f,0.384f,0f,0.924f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.875f,-0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.3f,0.8f,0.3f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:short_grass set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:short_grass"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:spore_blossom set value {\
    place_sound:"minecraft:block.spore_blossom.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:spore_blossom"\
            },\
            transformation:{\
                translation:[-0.2f,0.92f,0.2f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.4f,0.4f,0.6f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:sugar_cane set value {\
    place_sound:"minecraft:block.grass.place",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:sugar_cane"\
            },\
            transformation:{\
                translation:[-0.15f,0.2435f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:sugar_cane"\
            },\
            transformation:{\
                translation:[-0.15f,0.2435f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.15f,0.5435f,-0.15f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:weeping_vines set value {\
    place_sound:"minecraft:block.weeping_vines.place",\
    display_count:9,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:weeping_vines_plant"\
            },\
            transformation:{\
                translation:[-0.25f,0.2434f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.00000001f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:weeping_vines_plant"\
            },\
            transformation:{\
                translation:[-0.25f,0.7434f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:weeping_vines"\
            },\
            transformation:{\
                translation:[-0.25f,1.2434f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.5f,0.5f,0.5f],\
                translation:[-0.25f,0.7434f,0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,1.2434f,0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,1.7434f,0.25f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:twisting_vines set value {\
    place_sound:"minecraft:block.weeping_vines.place",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:twisting_vines_plant"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.00000000005f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:twisting_vines"\
            },\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.2435f,-0.25f],\
                scale:[0.5f,0.5f,0.5f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,0.7435f,-0.25f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:tall_grass set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:tall_grass",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.14975f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.4f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tall_grass",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.54975f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.4f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:large_fern set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:large_fern",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.2485f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:large_fern",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,1.0485f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

# default sunflower rotation is sunflower facing east, player should be facing west
data modify storage rc_blossoming_flower_pots:storage minecraft:sunflower set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:sunflower",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.2f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.00000000005f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:sunflower",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.2f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.4f,0.2f,-0.4f],\
                scale:[0.8f,0.8f,0.8f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.4f,1.0f,-0.4f],\
                scale:[0.8f,0.8f,0.8f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:lilac set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:lilac",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.00000000005f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:lilac",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.6f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.8f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:rose_bush set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:rose_bush",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.00000000005f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:rose_bush",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.6f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.8f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:peony set value {\
    place_sound:"minecraft:item.bone_meal.use",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:peony",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.00000000005f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:peony",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.6f,0.6f,0.6f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.2f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.3f,0.8f,-0.3f],\
                scale:[0.6f,0.6f,0.6f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:pitcher_plant set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:2,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:pitcher_plant",\
                Properties:{\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.1185f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:pitcher_plant",\
                Properties:{\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.9185f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:big_dripleaf set value {\
    place_sound:"minecraft:block.big_dripleaf.place",\
    display_count:1,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:big_dripleaf",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[-0.175f,0.281f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.75f,0.75f,0.75f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    tilt:"partial"\
                }\
            },\
            transformation:{\
                right_rotation:[0f,0f,0.191f,0.982f],\
                translation:[-0.1190878f,0.1f,-0.375f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:small_dripleaf set value {\
    place_sound:"minecraft:block.small_dripleaf.place",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:small_dripleaf",\
                Properties:{\
                    facing:"east",\
                    half:"lower"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.25f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.0000008f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:small_dripleaf",\
                Properties:{\
                    facing:"east",\
                    half:"upper"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.25f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.4f,0.0f,-0.4f],\
                scale:[0.8f,0.8f,0.8f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.4f,0.8f,-0.4f]\
            }\
        }\
    ]\
}

# Chorus Plant
    # what item?
    # Chorus Flower? Probably
data modify storage rc_blossoming_flower_pots:storage minecraft:chorus_flower set value {\
    place_sound:"minecraft:block.chorus_flower.grow",\
    display_count:5,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:chorus_flower"\
            },\
            transformation:{\
                translation:[-0.25f,0.8435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {},\
        {\
            block_state:{\
                Name:"minecraft:chorus_plant",\
                Properties:{\
                    down:"true",\
                    up:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.3435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {},\
        {}\
    ],\
    2:[\
        {\
            block_state:{\
                Name:"minecraft:chorus_flower"\
            },\
            transformation:{\
                translation:[-0.25f,0.8435f,-0.75f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:chorus_flower"\
            },\
            transformation:{\
                translation:[-0.25f,1.3435f,0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:chorus_plant",\
                Properties:{\
                    down:"true",\
                    up:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.3435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:chorus_plant",\
                Properties:{\
                    down:"true",\
                    north:"true",\
                    south:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.8435f,-0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:chorus_plant",\
                Properties:{\
                    up:"true",\
                    north:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.8435f,0.25f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:hanging_roots set value {\
    place_sound:"minecraft:block.hanging_roots.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:hanging_roots"\
            },\
            transformation:{\
                translation:[-0.2f,0.7432f,0.2f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.4f,0.4f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:wheat_seeds set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:8,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:wheat",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.27475f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ],\
    5:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        }\
    ],\
    6:[\
        {\
            block_state:{\
                Properties:{\
                    age:"5"\
                }\
            }\
        }\
    ],\
    7:[\
        {\
            block_state:{\
                Properties:{\
                    age:"6"\
                }\
            }\
        }\
    ],\
    8:[\
        {\
            block_state:{\
                Properties:{\
                    age:"7"\
                }\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:cocoa_beans set value {\
    place_sound:"minecraft:block.wood.place",\
    display_count:1,\
    maximum:3,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:cocoa",\
                Properties:{\
                    age:"0",\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.24375f,0.030625f,-0.0914125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4875f,0.4875f,0.4875f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.24375f,0.0915625f,-0.12188125f],\
                scale:[0.4875f,0.4875f,0.4875f]\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            },\
            transformation:{\
                translation:[-0.24375f,0.1525f,-0.15235f],\
                scale:[0.4875f,0.4875f,0.4875f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:pumpkin_seeds set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:7,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:pumpkin_stem",\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.5f,0.306f,-0.5f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[1f,1f,1f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        }\
    ],\
    5:[\
        {\
            block_state:{\
                Properties:{\
                    age:"5"\
                }\
            }\
        }\
    ],\
    6:[\
        {\
            block_state:{\
                Properties:{\
                    age:"7"\
                }\
            },\
            transformation:{\
                translation:[-0.5f,0.181f,-0.5f]\
            }\
        }\
    ],\
    7:[\
        {\
            block_state:{\
                Name:"attached_pumpkin_stem",\
                Properties:{\
                    facing:"north"\
                }\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:melon_seeds set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:7,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:melon_stem",\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.5f,0.306f,-0.5f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[1f,1f,1f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        }\
    ],\
    5:[\
        {\
            block_state:{\
                Properties:{\
                    age:"5"\
                }\
            }\
        }\
    ],\
    6:[\
        {\
            block_state:{\
                Properties:{\
                    age:"7"\
                }\
            },\
            transformation:{\
                translation:[-0.5f,0.181f,-0.5f]\
            }\
        }\
    ],\
    7:[\
        {\
            block_state:{\
                Name:"attached_melon_stem",\
                Properties:{\
                    facing:"north"\
                }\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:beetroot_seeds set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:4,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:beetroots",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.27475f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:torchflower_seeds set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:3,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:torchflower_crop",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.25f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.75f,0.75f,0.75f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Name:"minecraft:torchflower"\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:pitcher_pod set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:2,\
    maximum:5,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:pitcher_crop",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.195f,0.274375f,-0.195f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.39f,0.39f,0.39f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            transformation:{\
                translation:[-0.195f,0.664375f,-0.195f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.39f,0.39f,0.39f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            }\
        },\
        {}\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        },\
        {}\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:pitcher_crop",\
                Properties:{\
                    age:"3",\
                    half:"upper"\
                }\
            },\
        }\
    ],\
    5:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:pitcher_crop",\
                Properties:{\
                    age:"4"\
                }\
            },\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:glow_berries set value {\
    place_sound:"minecraft:block.cave_vines.place",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:cave_vines_plant",\
                Properties:{\
                    berries:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.243f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.00000001f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:cave_vines",\
                Properties:{\
                    berries:"true"\
                }\
            },\
            transformation:{\
                translation:[-0.25f,0.743f,0.25f],\
                left_rotation:[0.707f,0f,0f,0.707f],\
                scale:[0.5f,0.5f,0.5f],\
                right_rotation:[0.707f,0f,0f,0.707f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                scale:[0.5f,0.5f,0.5f],\
                translation:[-0.25f,0.743f,0.25f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.25f,1.2425f,0.25f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:sweet_berries set value {\
    place_sound:"minecraft:block.sweet_berry_bush.place",\
    display_count:1,\
    maximum:4,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:sweet_berry_bush",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.25f,-0.4f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.8f,0.8f,0.8f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.4f,0.181f,-0.4f]\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:nether_wart set value {\
    place_sound:"minecraft:item.nether_wart.plant",\
    display_count:1,\
    maximum:3,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:nether_wart",\
                Properties:{\
                    age:"0"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.275f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"1"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"3"\
                }\
            }\
        }\
    ]\
}

# we are abandoning the waterlogged pot requirement
    # it was not actually a feature, but a limitation to the user, that only served to comfort me, and it was kinda half assed

data modify storage rc_blossoming_flower_pots:storage minecraft:seagrass set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:2,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:seagrass"\
            },\
            transformation:{\
                translation:[-0.15f,0.21225f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            transformation:{\
                translation:[-0.15f,0.51225f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Name:"minecraft:tall_seagrass",\
                Properties:{\
                    half:"lower"\
                }\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tall_seagrass",\
                Properties:{\
                    half:"upper"\
                }\
            }\
        }\
    ]\
}
# sea pickle second option has weird lighting from certain angles, so the first one just rotates it back to 0 :(
data modify storage rc_blossoming_flower_pots:storage minecraft:sea_pickle set value {\
    place_sound:"minecraft:block.slime_block.place",\
    display_count:1,\
    maximum:2,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:sea_pickle",\
                Properties:{\
                    waterlogged:"false"\
                }\
            },\
            transformation:{\
                translation:[-0.5f,0.2435f,-0.5f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[1f,1f,1f],\
                right_rotation:[0f,0f,0f,1f]\
            },\
            Rotation:[0f,0f]\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            block_state:{\
                Properties:{\
                    waterlogged:"true"\
                }\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:kelp set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:3,\
    maximum:3,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:kelp_plant"\
            },\
            transformation:{\
                translation:[-0.2f,0.2435f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.000004f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:kelp_plant"\
            },\
            transformation:{\
                translation:[-0.2f,0.2435f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.000004f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:kelp",\
                Properties:{\
                    age:"25"\
                }\
            },\
            transformation:{\
                translation:[-0.2f,0.2435f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.4f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.2f,0.2435f,-0.2f],\
                scale:[0.4f,0.4f,0.4f]\
            }\
        },\
        {},\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.2f,0.6435f,-0.2f]\
            }\
        }\
    ],\
    3:[\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.2f,0.6435f,-0.2f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.2f,0.2435f,-0.2f],\
                scale:[0.4f,0.4f,0.4f]\
            }\
        },\
        {\
            start_interpolation:-1,\
            interpolation_duration:10,\
            transformation:{\
                translation:[-0.2f,1.0435f,-0.2f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:tube_coral_block set value {\
    place_sound:"minecraft:block.coral_block.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:brain_coral_block set value {\
    place_sound:"minecraft:block.coral_block.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:bubble_coral_block set value {\
    place_sound:"minecraft:block.coral_block.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:fire_coral_block set value {\
    place_sound:"minecraft:block.coral_block.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:horn_coral_block set value {\
    place_sound:"minecraft:block.coral_block.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:dead_tube_coral_block set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_brain_coral_block set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_bubble_coral_block set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_fire_coral_block set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_horn_coral_block set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:29,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.6185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_block"\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral"\
            },\
            transformation:{\
                translation:[-0.625f,1.6185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.3685f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral"\
            },\
            transformation:{\
                translation:[-0.125f,1.3685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.625f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"west"\
                }\
            },\
            transformation:{\
                translation:[-0.875f,1.1185f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,1.1185f,-0.875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[0.375f,1.1185f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral"\
            },\
            transformation:{\
                translation:[-0.125f,0.8685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.8685f,-0.625f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_wall_fan",\
                Properties:{\
                    facing:"east"\
                }\
            },\
            transformation:{\
                translation:[0.625f,0.8685f,-0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[0.125f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"north"\
                }\
            },\
            transformation:{\
                translation:[-0.375f,0.6185f,-0.375f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_wall_fan",\
                Properties:{\
                    facing:"south"\
                }\
            },\
            transformation:{\
                translation:[-0.125f,0.3685f,0.125f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.25f,0.25f,0.25f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}


data modify storage rc_blossoming_flower_pots:storage minecraft:tube_coral set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:tube_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:brain_coral set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:brain_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:bubble_coral set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:fire_coral set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:fire_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:horn_coral set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:horn_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:dead_tube_coral set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_brain_coral set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_bubble_coral set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_fire_coral set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_horn_coral set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral"\
            },\
            transformation:{\
                translation:[-0.2f,0.25f,-0.2f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.4f,0.5f,0.4f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:tube_coral_fan set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:tube_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:brain_coral_fan set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:brain_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:bubble_coral_fan set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:bubble_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:fire_coral_fan set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:fire_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:horn_coral_fan set value {\
    place_sound:"minecraft:block.wet_grass.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:horn_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:dead_tube_coral_fan set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_tube_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_brain_coral_fan set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_brain_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_bubble_coral_fan set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_bubble_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_fire_coral_fan set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_fire_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:dead_horn_coral_fan set value {\
    place_sound:"minecraft:block.stone.place",\
    display_count:1,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:dead_horn_coral_fan"\
            },\
            transformation:{\
                translation:[-0.1875f,0.275f,-0.1875f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.375f,0.8f,0.375f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}


data modify storage rc_blossoming_flower_pots:storage minecraft:carrot set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:4,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:carrots",\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.27475f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"7"\
                }\
            }\
        }\
    ]\
}
data modify storage rc_blossoming_flower_pots:storage minecraft:potato set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:1,\
    maximum:4,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:potatoes",\
                Properties:{\
                    age:"1"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.27475f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ],\
    2:[\
        {\
            block_state:{\
                Properties:{\
                    age:"2"\
                }\
            }\
        }\
    ],\
    3:[\
        {\
            block_state:{\
                Properties:{\
                    age:"4"\
                }\
            }\
        }\
    ],\
    4:[\
        {\
            block_state:{\
                Properties:{\
                    age:"7"\
                }\
            }\
        }\
    ]\
}

data modify storage rc_blossoming_flower_pots:storage minecraft:wheat set value {\
    place_sound:"minecraft:item.crop.plant",\
    display_count:2,\
    maximum:1,\
    1:[\
        {\
            block_state:{\
                Name:"minecraft:wheat",\
                Properties:{\
                    age:"7"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.0938f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.5f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        },\
        {\
            block_state:{\
                Name:"minecraft:hay_block",\
                Properties:{\
                    axis:"y"\
                }\
            },\
            transformation:{\
                translation:[-0.15f,0.01f,-0.15f],\
                left_rotation:[0f,0f,0f,1f],\
                scale:[0.3f,0.3f,0.3f],\
                right_rotation:[0f,0f,0f,1f]\
            }\
        }\
    ]\
}